# Get a Targeting Segment Objective

Get a targeting segment objective by ID

Endpoint: GET /targeting_segment_objectives/{objective_id}
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `objective_id` (integer, required)
    Numeric ID of the targeting_segment_objective to get

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)

  - `data.version` (integer)

  - `data.objective` (string)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    Example: "success"

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)


